/* ghtsclient - a GTK+ based client for the trading game Holsham Traders
   Copyright (C) 1999,2000 Piotr Esden-Tempski

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* log.h  --  stderr/syslog/file-logging */


#ifndef LOG_H
#define LOG_H    /* To stop multiple inclusions. */


#define GHTSLOG_STDERR 0
#define GHTSLOG_FILE   1
#define GHTSLOG_SYSLOG 2

enum loglevel { GHTSLOG_NONE, GHTSLOG_ERROR, GHTSLOG_INFO, GHTSLOG_DEBUG };

void ghtslog(int log_level, const char *fmt, ...);

/* function similar to perror(), but outputs messages via ghtslog() */
void lerror(const char *string);


#endif /* LOG_H */

